<html>
<head>
<title>Ogre::Ray Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Ray.html">Ray</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Ray Class Reference<div class="ingroups"><a class="el" href="group__Math.html">Math</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Ray" -->
<p>Representation of a ray in space, i.e.  
 <a href="classOgre_1_1Ray.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRay_8h_source.html">OgreRay.h</a>&gt;</code></p>

<p><a href="classOgre_1_1Ray-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#ae06168a69567ec6ede584cfa8ced9979">Ray</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#a7da08421bf78a27884c5a381cda60dc2">Ray</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;origin, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;direction)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#a730a34d1255a51df2bb072c823acec67">setOrigin</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;origin)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the origin of the ray.  <a href="#a730a34d1255a51df2bb072c823acec67"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#ae4e2561675e05fee24c867e3c9137c21">getOrigin</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the origin of the ray.  <a href="#ae4e2561675e05fee24c867e3c9137c21"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#ac3082e7ed2efd58bb202043101d4abb2">setDirection</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;dir)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the direction of the ray.  <a href="#ac3082e7ed2efd58bb202043101d4abb2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#a2d16c049e57a9908e7200bcfc47fd7dc">getDirection</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the direction of the ray.  <a href="#a2d16c049e57a9908e7200bcfc47fd7dc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#a724bffb5c8bd6e79b35a48292075e6db">getPoint</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> t) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the position of a point t units along the ray.  <a href="#a724bffb5c8bd6e79b35a48292075e6db"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#a9769a8d7f2358818c94713e9ac0a5f17">operator*</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> t) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the position of a point t units along the ray.  <a href="#a9769a8d7f2358818c94713e9ac0a5f17"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">std::pair&lt; bool, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#a3471b68f559bd39e79e18f752b720f0f">intersects</a> (const <a class="el" href="classOgre_1_1Plane.html">Plane</a> &amp;p) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests whether this ray intersects the given plane.  <a href="#a3471b68f559bd39e79e18f752b720f0f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">std::pair&lt; bool, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#adce8c31c39804bc7385e650cbe18fec3">intersects</a> (const <a class="el" href="classOgre_1_1PlaneBoundedVolume.html">PlaneBoundedVolume</a> &amp;p) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests whether this ray intersects the given plane bounded volume.  <a href="#adce8c31c39804bc7385e650cbe18fec3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">std::pair&lt; bool, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#a200a9f8c30f388bd4b4c195f10d09720">intersects</a> (const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;s) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests whether this ray intersects the given sphere.  <a href="#a200a9f8c30f388bd4b4c195f10d09720"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">std::pair&lt; bool, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#ac14cf4c98cc75e531a1fd43fab4eeeff">intersects</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;box) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests whether this ray intersects the given box.  <a href="#ac14cf4c98cc75e531a1fd43fab4eeeff"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#a149235772702fe06ef8dc15a37ee6e05">mOrigin</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#a9b3de04f46afb4fb72353685a51d6ada">mDirection</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Representation of a ray in space, i.e. </p>
<p>a line with an origin and direction. </p>

<p>Definition at line <a class="el" href="OgreRay_8h_source.html#l00046">46</a> of file <a class="el" href="OgreRay_8h_source.html">OgreRay.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae06168a69567ec6ede584cfa8ced9979"></a><!-- doxytag: member="Ogre::Ray::Ray" ref="ae06168a69567ec6ede584cfa8ced9979" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Ray.html#ae06168a69567ec6ede584cfa8ced9979">Ogre::Ray::Ray</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRay_8h_source.html#l00052">52</a> of file <a class="el" href="OgreRay_8h_source.html">OgreRay.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7da08421bf78a27884c5a381cda60dc2"></a><!-- doxytag: member="Ogre::Ray::Ray" ref="a7da08421bf78a27884c5a381cda60dc2" args="(const Vector3 &amp;origin, const Vector3 &amp;direction)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Ray.html#ae06168a69567ec6ede584cfa8ced9979">Ogre::Ray::Ray</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>origin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>direction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRay_8h_source.html#l00053">53</a> of file <a class="el" href="OgreRay_8h_source.html">OgreRay.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a2d16c049e57a9908e7200bcfc47fd7dc"></a><!-- doxytag: member="Ogre::Ray::getDirection" ref="a2d16c049e57a9908e7200bcfc47fd7dc" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; <a class="el" href="classOgre_1_1Ray.html#a2d16c049e57a9908e7200bcfc47fd7dc">Ogre::Ray::getDirection</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the direction of the ray. </p>

<p>Definition at line <a class="el" href="OgreRay_8h_source.html#l00064">64</a> of file <a class="el" href="OgreRay_8h_source.html">OgreRay.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae4e2561675e05fee24c867e3c9137c21"></a><!-- doxytag: member="Ogre::Ray::getOrigin" ref="ae4e2561675e05fee24c867e3c9137c21" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; <a class="el" href="classOgre_1_1Ray.html#ae4e2561675e05fee24c867e3c9137c21">Ogre::Ray::getOrigin</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the origin of the ray. </p>

<p>Definition at line <a class="el" href="OgreRay_8h_source.html#l00059">59</a> of file <a class="el" href="OgreRay_8h_source.html">OgreRay.h</a>.</p>

</div>
</div>
<a class="anchor" id="a724bffb5c8bd6e79b35a48292075e6db"></a><!-- doxytag: member="Ogre::Ray::getPoint" ref="a724bffb5c8bd6e79b35a48292075e6db" args="(Real t) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Ray.html#a724bffb5c8bd6e79b35a48292075e6db">Ogre::Ray::getPoint</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the position of a point t units along the ray. </p>

<p>Definition at line <a class="el" href="OgreRay_8h_source.html#l00067">67</a> of file <a class="el" href="OgreRay_8h_source.html">OgreRay.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3471b68f559bd39e79e18f752b720f0f"></a><!-- doxytag: member="Ogre::Ray::intersects" ref="a3471b68f559bd39e79e18f752b720f0f" args="(const Plane &amp;p) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;bool, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt; <a class="el" href="classOgre_1_1Ray.html#a3471b68f559bd39e79e18f752b720f0f">Ogre::Ray::intersects</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Plane.html">Plane</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tests whether this ray intersects the given plane. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>A pair structure where the first element indicates whether an intersection occurs, and if true, the second element will indicate the distance along the ray at which it intersects. This can be converted to a point in space by calling <a class="el" href="classOgre_1_1Ray.html#a724bffb5c8bd6e79b35a48292075e6db" title="Gets the position of a point t units along the ray.">getPoint()</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreRay_8h_source.html#l00082">82</a> of file <a class="el" href="OgreRay_8h_source.html">OgreRay.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#a11664bfebecca73dbb42c0959d3d9ff7">Ogre::Math::intersects()</a>.</p>

</div>
</div>
<a class="anchor" id="adce8c31c39804bc7385e650cbe18fec3"></a><!-- doxytag: member="Ogre::Ray::intersects" ref="adce8c31c39804bc7385e650cbe18fec3" args="(const PlaneBoundedVolume &amp;p) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;bool, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt; <a class="el" href="classOgre_1_1Ray.html#a3471b68f559bd39e79e18f752b720f0f">Ogre::Ray::intersects</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PlaneBoundedVolume.html">PlaneBoundedVolume</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tests whether this ray intersects the given plane bounded volume. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>A pair structure where the first element indicates whether an intersection occurs, and if true, the second element will indicate the distance along the ray at which it intersects. This can be converted to a point in space by calling <a class="el" href="classOgre_1_1Ray.html#a724bffb5c8bd6e79b35a48292075e6db" title="Gets the position of a point t units along the ray.">getPoint()</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreRay_8h_source.html#l00092">92</a> of file <a class="el" href="OgreRay_8h_source.html">OgreRay.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#a11664bfebecca73dbb42c0959d3d9ff7">Ogre::Math::intersects()</a>, <a class="el" href="OgrePlaneBoundedVolume_8h_source.html#l00054">Ogre::PlaneBoundedVolume::outside</a>, <a class="el" href="OgrePlaneBoundedVolume_8h_source.html#l00053">Ogre::PlaneBoundedVolume::planes</a>, and <a class="el" href="OgrePlane_8h_source.html#l00083">Ogre::Plane::POSITIVE_SIDE</a>.</p>

</div>
</div>
<a class="anchor" id="a200a9f8c30f388bd4b4c195f10d09720"></a><!-- doxytag: member="Ogre::Ray::intersects" ref="a200a9f8c30f388bd4b4c195f10d09720" args="(const Sphere &amp;s) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;bool, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt; <a class="el" href="classOgre_1_1Ray.html#a3471b68f559bd39e79e18f752b720f0f">Ogre::Ray::intersects</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tests whether this ray intersects the given sphere. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>A pair structure where the first element indicates whether an intersection occurs, and if true, the second element will indicate the distance along the ray at which it intersects. This can be converted to a point in space by calling <a class="el" href="classOgre_1_1Ray.html#a724bffb5c8bd6e79b35a48292075e6db" title="Gets the position of a point t units along the ray.">getPoint()</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreRay_8h_source.html#l00102">102</a> of file <a class="el" href="OgreRay_8h_source.html">OgreRay.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#a11664bfebecca73dbb42c0959d3d9ff7">Ogre::Math::intersects()</a>.</p>

</div>
</div>
<a class="anchor" id="ac14cf4c98cc75e531a1fd43fab4eeeff"></a><!-- doxytag: member="Ogre::Ray::intersects" ref="ac14cf4c98cc75e531a1fd43fab4eeeff" args="(const AxisAlignedBox &amp;box) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;bool, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt; <a class="el" href="classOgre_1_1Ray.html#a3471b68f559bd39e79e18f752b720f0f">Ogre::Ray::intersects</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&#160;</td>
          <td class="paramname"><em>box</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tests whether this ray intersects the given box. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>A pair structure where the first element indicates whether an intersection occurs, and if true, the second element will indicate the distance along the ray at which it intersects. This can be converted to a point in space by calling <a class="el" href="classOgre_1_1Ray.html#a724bffb5c8bd6e79b35a48292075e6db" title="Gets the position of a point t units along the ray.">getPoint()</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreRay_8h_source.html#l00112">112</a> of file <a class="el" href="OgreRay_8h_source.html">OgreRay.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#a11664bfebecca73dbb42c0959d3d9ff7">Ogre::Math::intersects()</a>.</p>

</div>
</div>
<a class="anchor" id="a9769a8d7f2358818c94713e9ac0a5f17"></a><!-- doxytag: member="Ogre::Ray::operator*" ref="a9769a8d7f2358818c94713e9ac0a5f17" args="(Real t) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> Ogre::Ray::operator* </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>t</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the position of a point t units along the ray. </p>

<p>Definition at line <a class="el" href="OgreRay_8h_source.html#l00072">72</a> of file <a class="el" href="OgreRay_8h_source.html">OgreRay.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac3082e7ed2efd58bb202043101d4abb2"></a><!-- doxytag: member="Ogre::Ray::setDirection" ref="ac3082e7ed2efd58bb202043101d4abb2" args="(const Vector3 &amp;dir)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Ray.html#ac3082e7ed2efd58bb202043101d4abb2">Ogre::Ray::setDirection</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>dir</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the direction of the ray. </p>

<p>Definition at line <a class="el" href="OgreRay_8h_source.html#l00062">62</a> of file <a class="el" href="OgreRay_8h_source.html">OgreRay.h</a>.</p>

</div>
</div>
<a class="anchor" id="a730a34d1255a51df2bb072c823acec67"></a><!-- doxytag: member="Ogre::Ray::setOrigin" ref="a730a34d1255a51df2bb072c823acec67" args="(const Vector3 &amp;origin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Ray.html#a730a34d1255a51df2bb072c823acec67">Ogre::Ray::setOrigin</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>origin</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the origin of the ray. </p>

<p>Definition at line <a class="el" href="OgreRay_8h_source.html#l00057">57</a> of file <a class="el" href="OgreRay_8h_source.html">OgreRay.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a9b3de04f46afb4fb72353685a51d6ada"></a><!-- doxytag: member="Ogre::Ray::mDirection" ref="a9b3de04f46afb4fb72353685a51d6ada" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Ray.html#a9b3de04f46afb4fb72353685a51d6ada">Ogre::Ray::mDirection</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRay_8h_source.html#l00050">50</a> of file <a class="el" href="OgreRay_8h_source.html">OgreRay.h</a>.</p>

</div>
</div>
<a class="anchor" id="a149235772702fe06ef8dc15a37ee6e05"></a><!-- doxytag: member="Ogre::Ray::mOrigin" ref="a149235772702fe06ef8dc15a37ee6e05" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Ray.html#a149235772702fe06ef8dc15a37ee6e05">Ogre::Ray::mOrigin</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRay_8h_source.html#l00049">49</a> of file <a class="el" href="OgreRay_8h_source.html">OgreRay.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRay_8h_source.html">OgreRay.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
